%define upstream_name    Nmap-Parser
%define upstream_version 1.37

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Parse nmap scan data with perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Nmap/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Storable) >= 2.0.0
BuildRequires: perl(XML::Twig) >= 3.160.0
BuildArch:  noarch

%{?perl_default_filter}

%description
This module implements a interface to the information contained in an nmap
scan. It is implemented by parsing the xml scan data that is generated by
nmap. This will enable anyone who utilizes nmap to quickly create fast and
robust security scripts that utilize the powerful port scanning abilities
of nmap.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.370.0-4.mga10
+ Revision: 2205327
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.370.0-3.mga9
+ Revision: 1811272
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.370.0-2.mga8
+ Revision: 1522594
- Mageia 8 Mass Rebuild

* Mon Jan 28 2019 tv <tv> 1.370.0-1.mga7
+ Revision: 1361582
- update to 1.37

* Thu Sep 20 2018 umeabot <umeabot> 1.360.0-3.mga7
+ Revision: 1285306
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.360.0-2.mga7
+ Revision: 1166032
- rebuild with fixed rpm for missing autodeps

* Tue Sep 26 2017 sander85 <sander85> 1.360.0-1.mga7
+ Revision: 1160082
- Add missing BR
+ guillomovitch <guillomovitch>
- new version 1.36

* Sun Jun 19 2016 pterjan <pterjan> 1.310.0-7.mga6
+ Revision: 1031345
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 1.310.0-6.mga6
+ Revision: 933130
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.310.0-5.mga5
+ Revision: 746219
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.310.0-4.mga5
+ Revision: 732427
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.310.0-3.mga5
+ Revision: 685754
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.310.0-2.mga4
+ Revision: 527163
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.310.0-1.mga4
+ Revision: 439656
- update to 1.31

* Sun Jan 13 2013 umeabot <umeabot> 1.210.0-2.mga3
+ Revision: 370991
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 1.210.0-1.mga2
+ Revision: 107218
- update to 1.21

* Thu Jan 20 2011 jquelin <jquelin> 1.200.0-1.mga1
+ Revision: 26765
- mageia rebuild
- imported package perl-Nmap-Parser


* Sat Oct 16 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.200.0-1mdv2011.0
+ Revision: 586115
- import perl-Nmap-Parser

